Defining the python version for virtualenv


#1

An observation I noticed during the initial setup is that I had to force virtualenv to install python 3, using ‘virtualenv --python=python3 venv’, otherwise virtualenv would install python 2 by default. I think Linux Mint 19.1 (Ubuntu) has both python 2 and python 3 installed, however, the default is python 2.

[email protected]:~$ python -V
Python 2.7.15+
[email protected]:~$ python3 -V
Python 3.6.8

Not an issue if one knows the commandline stuff but not all OS variations and scenarios can be covered in the book.